Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatInviteLink

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatInviteLink

Enclosing class:
  TdApi

public static final class TdApi.ChatInviteLink extends TdApi.Object
Contains a chat invite link.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`createsJoinRequest`
True, if the link only creates join request.
`long`
`creatorUserId`
User identifier of an administrator created the link.
`int`
`date`
Point in time (Unix timestamp) when the link was created.
`int`
`editDate`
Point in time (Unix timestamp) when the link was last edited; 0 if never or unknown.
`int`
`expirationDate`
Point in time (Unix timestamp) when the link will expire; 0 if never.
`String`
`inviteLink`
Chat invite link.
`boolean`
`isPrimary`
True, if the link is primary.
`boolean`
`isRevoked`
True, if the link was revoked.
`int`
`memberCount`
Number of chat members, which joined the chat using the link.
`int`
`memberLimit`
The maximum number of members, which can join the chat using the link simultaneously; 0 if not limited.
`String`
`name`
Name of the link.
`int`
`pendingJoinRequestCount`
Number of pending join requests created using this link.

## Constructor Summary

Constructors
Constructor
Description
`ChatInviteLink()`
Contains a chat invite link.
`ChatInviteLink(DataInput input)`
Contains a chat invite link.
`ChatInviteLink(String inviteLink, String name, long creatorUserId, int date, int editDate, int expirationDate, int memberLimit, int memberCount, int pendingJoinRequestCount, boolean createsJoinRequest, boolean isPrimary, boolean isRevoked)`
Contains a chat invite link.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### inviteLink

public String inviteLink
Chat invite link.

### name

public String name
Name of the link.

### creatorUserId

public long creatorUserId
User identifier of an administrator created the link.

### date

public int date
Point in time (Unix timestamp) when the link was created.

### editDate

public int editDate
Point in time (Unix timestamp) when the link was last edited; 0 if never or unknown.

### expirationDate

public int expirationDate
Point in time (Unix timestamp) when the link will expire; 0 if never.

### memberLimit

public int memberLimit
The maximum number of members, which can join the chat using the link simultaneously; 0 if not limited. Always 0 if the link requires approval.

### memberCount

public int memberCount
Number of chat members, which joined the chat using the link.

### pendingJoinRequestCount

public int pendingJoinRequestCount
Number of pending join requests created using this link.

### createsJoinRequest

public boolean createsJoinRequest
True, if the link only creates join request. If true, total number of joining members will be unlimited.

### isPrimary

public boolean isPrimary
True, if the link is primary. Primary invite link can't have name, expiration date, or usage limit. There is exactly one primary invite link for each administrator with canInviteUsers right at a given time.

### isRevoked

public boolean isRevoked
True, if the link was revoked.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatInviteLink

public ChatInviteLink()
Contains a chat invite link.

### ChatInviteLink

public ChatInviteLink(String inviteLink, String name, long creatorUserId, int date, int editDate, int expirationDate, int memberLimit, int memberCount, int pendingJoinRequestCount, boolean createsJoinRequest, boolean isPrimary, boolean isRevoked)
Contains a chat invite link.

Parameters:
  `inviteLink` - Chat invite link.
  `name` - Name of the link.
  `creatorUserId` - User identifier of an administrator created the link.
  `date` - Point in time (Unix timestamp) when the link was created.
  `editDate` - Point in time (Unix timestamp) when the link was last edited; 0 if never or unknown.
  `expirationDate` - Point in time (Unix timestamp) when the link will expire; 0 if never.
  `memberLimit` - The maximum number of members, which can join the chat using the link simultaneously; 0 if not limited. Always 0 if the link requires approval.
  `memberCount` - Number of chat members, which joined the chat using the link.
  `pendingJoinRequestCount` - Number of pending join requests created using this link.
  `createsJoinRequest` - True, if the link only creates join request. If true, total number of joining members will be unlimited.
  `isPrimary` - True, if the link is primary. Primary invite link can't have name, expiration date, or usage limit. There is exactly one primary invite link for each administrator with canInviteUsers right at a given time.
  `isRevoked` - True, if the link was revoked.

### ChatInviteLink

public ChatInviteLink(DataInput input) throws IOException
Contains a chat invite link.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`